Page MenuHomePhabricator

Deploy Scap version 4.8.2
Closed, ResolvedPublic

Description

Dear SRE team,
Please build and deploy the version 4.8.2 of scap using the instructions in https://wikitech.wikimedia.org/wiki/Scap/Release
Thanks in advance!

Event Timeline

dancy renamed this task from Deploy Scap version 4.8.0 to Deploy Scap version 4.8.1.Jun 1 2022, 8:11 PM
dancy updated the task description. (Show Details)
dancy added a subscriber: Joe.

Mentioned in SAL (#wikimedia-operations) [2022-06-02T08:32:01Z] <jayme> imported scap 4.8.1 to stretch-/buster-/bullseye-wikimedia - T309116

Probably missing dependencies:

mwdebug1002:~$ scap pull
Traceback (most recent call last):
  File "/usr/bin/scap", line 32, in <module>
    from scap import cli
  File "/usr/lib/python3/dist-packages/scap/__init__.py", line 29, in <module>
    import scap.plugins
  File "/usr/lib/python3/dist-packages/scap/plugins/__init__.py", line 43, in <module>
    from ..cli import Application
  File "/usr/lib/python3/dist-packages/scap/cli.py", line 40, in <module>
    import scap.config as config
  File "/usr/lib/python3/dist-packages/scap/config.py", line 30, in <module>
    import scap.utils as utils
  File "/usr/lib/python3/dist-packages/scap/utils.py", line 25, in <module>
    import packaging.version
ModuleNotFoundError: No module named 'packaging'

I've rolled back to 4.7.1-1

JMeybohm changed the task status from Open to Stalled.Jun 2 2022, 8:39 AM

Change 802546 had a related patch set uploaded (by Ahmon Dancy; author: Ahmon Dancy):

[mediawiki/tools/scap@master] Added python3-packaging to deb deps list

https://gerrit.wikimedia.org/r/802546

Change 802546 merged by jenkins-bot:

[mediawiki/tools/scap@master] Added python3-packaging to deb deps list

https://gerrit.wikimedia.org/r/802546

dancy renamed this task from Deploy Scap version 4.8.1 to Deploy Scap version 4.8.2.Jun 2 2022, 3:41 PM
dancy changed the task status from Stalled to Open.
dancy updated the task description. (Show Details)

Fixed at tag 4.8.2.

Probably missing dependencies:

mwdebug1002:~$ scap pull
Traceback (most recent call last):
  File "/usr/bin/scap", line 32, in <module>
    from scap import cli
  File "/usr/lib/python3/dist-packages/scap/__init__.py", line 29, in <module>
    import scap.plugins
  File "/usr/lib/python3/dist-packages/scap/plugins/__init__.py", line 43, in <module>
    from ..cli import Application
  File "/usr/lib/python3/dist-packages/scap/cli.py", line 40, in <module>
    import scap.config as config
  File "/usr/lib/python3/dist-packages/scap/config.py", line 30, in <module>
    import scap.utils as utils
  File "/usr/lib/python3/dist-packages/scap/utils.py", line 25, in <module>
    import packaging.version
ModuleNotFoundError: No module named 'packaging'

I've rolled back to 4.7.1-1

Mentioned in SAL (#wikimedia-operations) [2022-06-03T07:16:46Z] <jayme> imported scap 4.8.2 to stretch-/buster-/bullseye-wikimedia - T309116

Deployed to canaries, scap pull looks fine

4.8.2 deployed fleet wide